<?php
namespace Mirasvit\Search\Block\Debug;

/**
 * Interceptor class for @see \Mirasvit\Search\Block\Debug
 */
class Interceptor extends \Mirasvit\Search\Block\Debug implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Search\Service\DebugService $debugService, \Magento\Framework\View\Element\Template\Context $context)
    {
        $this->___init();
        parent::__construct($debugService, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
